<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();
$set['title']='Стать создателем'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();
err();
if(isset($_GET['s']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `id` = '".intval($_GET['s'])."' LIMIT 1"),0)==1)
{
$s=intval($_GET['s']);
$soo=mysql_fetch_assoc(mysql_query("SELECT * FROM `soo` WHERE `id` = '$s' LIMIT 1"));
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_readmin` WHERE `id_soo` = '$soo[id]' AND `id_user` = '$user[id]' LIMIT 1"),0)!=0)
{
$vak=mysql_fetch_array(mysql_query("SELECT * FROM `soo_readmin` WHERE `id_soo` = '$soo[id]' AND `id_user` = '$user[id]' LIMIT 1"));
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `id_user` = '".intval($user['id'])."' AND `activate`='0' AND `invit`='0' LIMIT 1"),0)==1)
{
if($vak['time']>time()-10800)
{
if(isset($_GET['yes']))
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `admid` = '$user[id]' LIMIT 1"),0)==1 && $user['rating']<=50)
{
echo "Вы имеете уже сообщество и чтобы стать создателем етого сообщества ваш рейтинг должен быть не мение 50!";
include_once '../sys/inc/tfoot.php';
exit;
}
mysql_query("INSERT INTO `soo_readmined` (`id_soo`, `id_user`, `id_ank`, `time`) values ('$soo[id]', '$soo[admid]', '$user[id]', '$time')");
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values ('0', '$soo[admid]', '[b]$user[nick][/b] принял ваше предложение стать создателем сообщества [url=/soo/$soo[id]]$soo[name][/url].', '$time')");
mysql_query("INSERT INTO `soo_users` (`id_soo`, `id_user`, `time`) values ('$soo[id]', '$soo[admid]', '$time')");
mysql_query("UPDATE `soo` SET `admid` = '$user[id]' WHERE `id`='$soo[id]' LIMIT 1");
$new_time=$time-10800;
mysql_query("UPDATE `soo_readmin` SET `time` = '$new_time', `id_user` = '$nau[id]' WHERE `id_soo` = '$soo[id]' LIMIT 1");
mysql_query("DELETE FROM `soo_users` WHERE `id_soo`='$soo[id]' AND `id_user`='$user[id]' LIMIT 1");
echo "<div class='msg'>Поздравляем!Вы стали создателем сообщества <b>".filter_var($soo['name'], FILTER_SANITIZE_SPECIAL_CHARS)."</b></div>\n";
}
else
{
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values ('0', '$soo[admid]', '[b]$user[nick][/b] отклонил ваше предложение стать создателем сообщества [url=/soo/$soo[id]]$soo[name][/url].', '$time')");
$new_time=$time-10800;
mysql_query("UPDATE `soo_readmin` SET `time` = '$new_time', `id_user` = '$nau[id]' WHERE `id_soo` = '$soo[id]' LIMIT 1");
echo "<div class='err'>Заявка отклонена</div>\n";
}
}
else echo "Время вышло!";
}
else echo "Вы не являетесь учасником даного сообщества!";
}
else echo "Нет предложений";
}
else echo "Сообщество не найдено!";
include_once '../sys/inc/tfoot.php';
?>